Bug 495179 - (perl-Number-Format) Review Request: perl-Number-Format - Perl extension for formatting numbers
Review Request: perl-Number-Format - Perl extension for formatting numbers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
: 1184790 (view as bug list)
Depends On:
Blocks: 1183218 1184809
  Show dependency treegraph
 
Reported: 2009-04-10 01:53 EDT by Iain Arnell
Modified: 2015-02-15 15:39 EST (History)
6 users (show)

See Also:
Fixed In Version: perl-Number-Format-1.73-14.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 01:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-10 01:53:26 EDT
Spec URL: http://www.xs4all.nl/~iarnell/fedora/perl-Number-Format.spec
SRPM URL: http://www.xs4all.nl/~iarnell/fedora/perl-Number-Format-1.70-1.fc11.src.rpm
Description: 
This module provides an easy means of formatting numbers in a manner
suitable for displaying to the user.

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1288753
Comment 1 Chris Weyl 2009-04-10 18:58:31 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1288753

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
ab3fa027a9189941c7437929f49ce8c632b56d15 Number-Format-1.70.tar.gz
ab3fa027a9189941c7437929f49ce8c632b56d15 Number-Format-1.70.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Number-Format-1.70-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Number-Format-1.70-1.fc10.src.rpm
====> requires for perl-Number-Format-1.70-1.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  

=====> perl-Number-Format-1.70-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Number-Format-1.70-1.fc10.noarch.rpm
perl(Number::Format) = 1.70
perl-Number-Format = 1.70-1.fc10
====> requires for perl-Number-Format-1.70-1.fc10.noarch.rpm
perl >= 0:5.008
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(Exporter)  
perl(POSIX)  
perl(base)  
perl(strict)  

APPROVED
Comment 2 Iain Arnell 2009-04-11 00:26:08 EDT
New Package CVS Request
=======================
Package Name: perl-Number-Format
Short Description: Perl extension for formatting numbers
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-12 14:27:28 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-13 01:38:59 EDT
perl-Number-Format-1.70-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Number-Format-1.70-1.fc10
Comment 5 Fedora Update System 2009-04-13 01:39:03 EDT
perl-Number-Format-1.70-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Number-Format-1.70-1.fc9
Comment 6 Fedora Update System 2009-04-22 16:24:32 EDT
perl-Number-Format-1.70-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-04-24 15:53:06 EDT
perl-Number-Format-1.70-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jose Pedro Oliveira 2009-12-06 14:29:06 EST
Hi,

Any chance of having this module branched for EL-5 ?

jpo
Comment 9 Iain Arnell 2009-12-06 21:34:27 EST
Package Change Request
======================
Package Name: perl-Number-Format
New Branches: EL-5
Owners: iarnell
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2009-12-07 00:17:42 EST
cvs done.
Comment 11 Fedora Update System 2009-12-07 00:41:05 EST
perl-Number-Format-1.73-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Number-Format-1.73-1.el5
Comment 12 Jose Pedro Oliveira 2009-12-07 10:32:48 EST
Iain Arnell,

Thanks for the EPEL5 build.

/jpo
Comment 13 Fedora Update System 2009-12-31 01:55:59 EST
perl-Number-Format-1.73-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 David Dick 2015-01-22 05:42:37 EST
*** Bug 1184790 has been marked as a duplicate of this bug. ***
Comment 15 David Dick 2015-01-22 05:44:49 EST
Hi Petr / Iain,

Could i get this package built for EPEL7? I'm happy to build this package if required.
Comment 16 Petr Šabata 2015-01-28 12:25:51 EST
Feel free to request & maintain the branch, David.
Comment 17 David Dick 2015-01-28 14:16:36 EST
Package Change Request
======================
Package Name: perl-Number-Format
New Branches: epel7
Owners: ddick
InitialCC: perl-sig
Comment 18 Jon Ciesla 2015-01-28 14:39:48 EST
Git done (by process-git-requests).
Comment 19 Fedora Update System 2015-01-28 15:32:21 EST
perl-Number-Format-1.73-14.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Number-Format-1.73-14.el7
Comment 20 Fedora Update System 2015-02-15 15:39:38 EST
perl-Number-Format-1.73-14.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.